Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class ContactDetails2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.ContactDetails2

public class ContactDetails2 extends Object

Java class for ContactDetails2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContactDetails2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NmPrfx" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}NamePrefix1Code" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max140Text" minOccurs="0"/>
             <element name="PhneNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PhoneNumber" minOccurs="0"/>
             <element name="MobNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PhoneNumber" minOccurs="0"/>
             <element name="FaxNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PhoneNumber" minOccurs="0"/>
             <element name="EmailAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max2048Text" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`emailAdr`
`protected String`
`faxNb`
`protected String`
`mobNb`
`protected String`
`nm`
`protected NamePrefix1Code`
`nmPrfx`
`protected String`
`othr`
`protected String`
`phneNb`

## Constructor Summary

Constructors
Constructor
Description
`ContactDetails2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEmailAdr()`
Gets the value of the emailAdr property.
`String`
`getFaxNb()`
Gets the value of the faxNb property.
`String`
`getMobNb()`
Gets the value of the mobNb property.
`String`
`getNm()`
Gets the value of the nm property.
`NamePrefix1Code`
`getNmPrfx()`
Gets the value of the nmPrfx property.
`String`
`getOthr()`
Gets the value of the othr property.
`String`
`getPhneNb()`
Gets the value of the phneNb property.
`void`
`setEmailAdr(String value)`
Sets the value of the emailAdr property.
`void`
`setFaxNb(String value)`
Sets the value of the faxNb property.
`void`
`setMobNb(String value)`
Sets the value of the mobNb property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setNmPrfx(NamePrefix1Code value)`
Sets the value of the nmPrfx property.
`void`
`setOthr(String value)`
Sets the value of the othr property.
`void`
`setPhneNb(String value)`
Sets the value of the phneNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nmPrfx

protected NamePrefix1Code nmPrfx

### nm

protected String nm

### phneNb

protected String phneNb

### mobNb

protected String mobNb

### faxNb

protected String faxNb

### emailAdr

protected String emailAdr

### othr

protected String othr

## Constructor Details

### ContactDetails2

public ContactDetails2()

## Method Details

### getNmPrfx

public NamePrefix1Code getNmPrfx()
Gets the value of the nmPrfx property.

Returns:
  possible object is `NamePrefix1Code`

### setNmPrfx

public void setNmPrfx(NamePrefix1Code value)
Sets the value of the nmPrfx property.

Parameters:
  `value` - allowed object is `NamePrefix1Code`

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPhneNb

public String getPhneNb()
Gets the value of the phneNb property.

Returns:
  possible object is `String`

### setPhneNb

public void setPhneNb(String value)
Sets the value of the phneNb property.

Parameters:
  `value` - allowed object is `String`

### getMobNb

public String getMobNb()
Gets the value of the mobNb property.

Returns:
  possible object is `String`

### setMobNb

public void setMobNb(String value)
Sets the value of the mobNb property.

Parameters:
  `value` - allowed object is `String`

### getFaxNb

public String getFaxNb()
Gets the value of the faxNb property.

Returns:
  possible object is `String`

### setFaxNb

public void setFaxNb(String value)
Sets the value of the faxNb property.

Parameters:
  `value` - allowed object is `String`

### getEmailAdr

public String getEmailAdr()
Gets the value of the emailAdr property.

Returns:
  possible object is `String`

### setEmailAdr

public void setEmailAdr(String value)
Sets the value of the emailAdr property.

Parameters:
  `value` - allowed object is `String`

### getOthr

public String getOthr()
Gets the value of the othr property.

Returns:
  possible object is `String`

### setOthr

public void setOthr(String value)
Sets the value of the othr property.

Parameters:
  `value` - allowed object is `String`